HomeGuidesAPI ReferenceChangelog
Log In
API Reference

Get TOU Group Intervals

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Retrieve intervals for a time-of-use group.

Use this endpoint to convert a TOU group definition into concrete date-time intervals. You can use the returned intervals to determine which TOU applies during a specific date range.

Resource URI

GET /rest/public/timeofuses/{lseId}/{touGroupId}/intervals

Path parameters

ParameterTypeDescription
lseIdLongLSE ID for the TOU group. Required.
touGroupIdLongTOU group ID within the LSE. Required.

Query parameters

ParameterTypeDescription
fromDateTimeDateTimeStart date and time for returned intervals. Defaults to the current date and time when omitted. Optional.
toDateTimeDateTimeEnd date and time for returned intervals. Defaults to one week after fromDateTime when omitted. Optional.

For the full interval data model and examples, see Time of Uses.

Example

GET /rest/public/timeofuses/2756/1/intervals?fromDateTime=2016-09-19T00:00:00-04:00&toDateTime=2016-09-26T00:00:00-04:00

A successful response returns intervals for all TOUs in the requested TOU group.

Path Params
int64
required

Get a TOU group for a specific LSE

int64
required

Get a TOU group by its ID (required when LSE ID is provided)

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json